
/*----------------------------------------------------------------------------
                           N E X T R I C S
 
  An object for writing NeXus data files for the four ciclre diffractometer
  TRICS at PSI. Can be used as basis for writing files for other four
  circles equiped with a PSD as well.

  copyright: see copyright.h

  Mark Koennecke, April 1998
------------------------------------------------------------------------------*/
#ifndef NEXTRICS
#define NEXTRICS

    typedef struct __NexTrics *pNexTrics;

/*----------------------------- live & death -----------------------------*/
  pNexTrics CreateNexTrics(pDataNumber pNum, char *pRoot, char *pDict,
                           SicsInterp *pSics);
  void      DeleteNexTrics(void *pData);

  int NexTricsFactory(SConnection *pCon, SicsInterp *pSics, void *pData,
                      int argc, char *argv[]);
/*----------------------------- interaction ------------------------------*/

  int StartFile(pNexTrics self, SConnection *pCon);
 
  int ReopenFile(pNexTrics self, char *filename);

  int DumpFrame(pNexTrics self, SConnection *pCon);

  int NexTricsAction(SConnection *pCon, SicsInterp *pSics, void *pData,
                      int argc, char *argv[]);
 

#endif
